<template>
  <progress value="0" max="100"></progress>
</template>

<script>

window.onscroll = function() {
    var winScroll = document.body.scrollTop || document.documentElement.scrollTop;
    var height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
    var scrolled = (winScroll / height) * 100;
    document.getElementsByTagName("progress")[0].value = scrolled;
};

export default {
  name: 'Progress',
  props: {
    msg: String,
    msg2: String,
    msg3: String
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped >
progress {
    /* background: linear-gradient(to right,var(--subtle-green1) var(--scroll),transparent 0); */
    position: fixed;
    width: 4px;
    left: 0;
    top: 0;
    height: 100vh;
    z-index: 3;
}

progress,
progress::-webkit-progress-value,
progress::-moz-progress-bar { 
    background: #FF6700; 
    color: #FF6700;
}
</style>
